export function mapResult(originalResult) {
  const newResult = {};
  if (!originalResult) {
    return newResult;
  }

  try {
    newResult.insertId = originalResult.insertId;
  } catch (e) {}

  newResult.rowsAffected = originalResult.rowsAffected;

  if ("rows" in originalResult) {
    newResult.rows = [];

    for (let i = 0; i < originalResult.rows.length; i++) {
      newResult.rows.push(originalResult.rows.item(i));
    }
  }

  return newResult;
}